<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.base.mapper.BaseConfigMapper">
    
    <resultMap type="BaseConfig" id="BaseConfigResult">
        <result property="id"    column="id"    />
        <result property="code"    column="code"    />
        <result property="title"    column="title"    />
        <result property="jsonStr"    column="json_str"    />
        <result property="creator"    column="creator"    />
        <result property="createTime"    column="create_time"    />
        <result property="updater"    column="updater"    />
        <result property="updateTime"    column="update_time"    />
        <result property="delFlag"    column="del_flag"    />
    </resultMap>

    <sql id="selectBaseConfigVo">
        select id, code,title, json_str, creator, create_time, updater, update_time, del_flag from dl_base_config
    </sql>

    <select id="queryListPage" parameterType="BaseConfig" resultMap="BaseConfigResult">
        <include refid="selectBaseConfigVo"/>
        <where>
                    del_flag=0
                        <if test="entity.code != null  and entity.code != ''"> and code = #{entity.code}</if>
                        <if test="entity.title != null  and entity.title != ''"> and title = #{entity.title}</if>
                        <if test="entity.jsonStr != null  and entity.jsonStr != ''"> and json_str = #{entity.jsonStr}</if>
        </where>
    </select>
</mapper>